Bug 237719 - [NEW PORT] sysutils/u-boot-nanopi-r1: Cross-build das u-boot for model nanopi-r1
Summary: [NEW PORT] sysutils/u-boot-nanopi-r1: Cross-build das u-boot for model nanopi-r1
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-uboot (Nobody)
URL:
Keywords: feature, needs-patch
Depends on:
Blocks:
 
Reported: 2019-05-03 03:29 UTC by Neko Prog
Modified: 2020-09-17 09:16 UTC (History)
6 users (show)

See Also:


Attachments
NanoPi R1 Patch (4.62 KB, patch)
2019-11-22 04:49 UTC, Neko Prog
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neko Prog 2019-05-03 03:29:26 UTC

    
Comment 1 Neko Prog 2019-05-03 03:41:09 UTC
Product page: https://www.friendlyarm.com/index.php?route=product/product&product_id=248

DAS U-Boot defconfig: https://lists.denx.de/pipermail/u-boot/2019-April/367235.html

Looks like it's compatible with nanopi-neo defconfig because using Allwinner H3 SoC.
Comment 2 Neko Prog 2019-11-14 00:52:24 UTC
Additional information that can be used
https://github.com/armbian/build/blob/master/patch/u-boot/u-boot-sunxi/add-nanopi-r1-and-duo2.patch
Comment 3 Neko Prog 2019-11-14 03:25:01 UTC
Doing something to wake everybody up.
https://github.com/u-boot/u-boot/pull/27
Comment 4 Emmanuel Vadot freebsd_committer 2019-11-14 09:50:00 UTC
Please submit a patch if you want this port.
Comment 5 Neko Prog 2019-11-22 04:49:59 UTC
Created attachment 209334 [details]
NanoPi R1 Patch

I have no idea where to put this patch, either in u-boot-master or u-boot-tools or neither. So I need your help to place this patch somewhere you see fit.

I have tested building with this patch and it produces:
- boot.scr
- u-boot-sunxi-with-spl.bin
- sun8i-h3-nanopi-r1.dtb
Comment 6 Emmanuel Vadot freebsd_committer 2020-09-17 09:16:12 UTC
I don't accept patches on the u-boot tree.
Please submit first patches to u-boot and reopen this bug after they are accepted.
The port can use patches from patchwork (see the u-boot-rpi port for an example).